page		60,132
title		BIOS Data Segment Template

bios_data	segment	at 0

		org	4*05h
prt_screen	label	dword		; prtint screen vector
		public	prt_screen
prt_scr_off	dw	?
		public	prt_scr_off
prt_scr_seg	dw	?
		public	prt_scr_seg

		org	4*10h
vd_bios		label	dword		; video bios vector
		public	vd_bios
vd_bios_off	dw	?
		public	vd_bios_off
vd_bios_seg	dw	?
		public	vd_bios_seg

		org	4*1dh		; 6845 parameter tables
cmga_parms	label	dword
		public	cmga_parms
cmga_parm_off	dw	?
		public	cmga_parm_off
cmga_parm_seg	dw	?
		public	cmga_parm_seg

		org	4*1fh
hidd_ptr	label	dword		; top half of double dot font
		public	hidd_ptr
hidd_off	dw	?
		public	hidd_off
hidd_seg	dw	?
		public	hidd_seg

		org	4*42h
sys_video	label	dword		; system video bios vector
		public	sys_video
sys_video_off	dw	?
		public	sys_video_off
sys_video_seg	dw	?
		public	sys_video_seg

		org	4*43h
gfx_font	label	dword		; graphics mode font
		public	gfx_font
gfx_font_off		dw	?
		public	gfx_font_off
gfx_font_seg		dw	?
		public	gfx_font_seg

		org	4*6dh
alt_video	label	dword		; alternate video vector
		public	alt_video
alt_video_off	dw	?
		public	alt_video_off
alt_video_seg	dw	?
		public	alt_video_seg

		org	410h
equip		db	?		; pc/xt equipment flag
		public	equip

		org	449h
con_mode	db	?		; current video mode
		public	con_mode
con_cols	dw	?		; # of columns on screen
		public	con_cols
con_len		dw	?		; length of screen buffer in bytes
		public	con_len
con_start	dw	?		; starting offset of current page
		public	con_start
cur_pos		dw	8 dup (?)	; cursor position (col,row), each page
		public	cur_pos
cursor_mode	dw	?		; current cursor type setting
		public	cursor_mode
act_page	db	?		; current page being displayed
		public	act_page
card_addr	dw	?		; base address of active crt
		public	card_addr
con_mode_set	db	?		; simulated value of 6845 3x8 register
		public	con_mode_set
con_palette	db	?		; simulated value of 6845 3x9 register
		public	con_palette

		org	472h
warm_boot	dw	?		; 1234h is warm boot
		public	warm_boot

		org	484h
rows		db	?		; displayed rows - 1
		public	rows
pts		label	byte		; byte version of cell height
		public	pts
points		dw	?		; word version of cell height
		public	points
ega_info	db	?		; ega info byte
		public	ega_info
	PRESERVE_RAM	equ	80h	; preserve ram on set mode
	EGA_MEMORY	equ	60h	; amount of ega memory
	EGA_RESERVED	equ	10h	; reserved bit
	EGA_INACTIVE	equ	08h	; ega inactive bit
	EGA_WAIT	equ	04h	; cpu/crtc memory contention
	EGAMONO		equ	02h	; ega has mono mon attached
	EGA_CURS_EMUL	equ	01h	; disable cursor emulation
ega_info3	db	?		; ega feature bits + ega switches
		public	ega_info3
	EGA_FEAT	equ	0f0h	; feature bits
	EGA_SWITCHES	equ	00fh	; ega switches
vga_info	db	?		; vga info byte
		public	vga_info
	VGA_200SCANS	equ	80h	; 3dx modes should have 200 scans
	VGA_SWITCH	equ	40h	; display switching enabled
	VGA_RESERVED	equ	20h	; reserved
	VGA_PLUSMODE	equ	10h	; 16 high font text modes
	VGA_SKIP_PAL	equ	08h	; skip palette load on set mode
	VGA_MONO_MON	equ	04h	; vga has mono mon attached
	VGA_SUM2GREY	equ	02h	; sum to grey scale enabled
	ALL_MODES	equ	01h	; all modes on all monitors
dcc_idx		db	?		; index into dcc table
		public	dcc_idx

		org	4a8h
save_ptr	label	dword		; pointer to save area
		public	save_ptr
save_ptr_off	dw	?
		public	save_ptr_off
save_ptr_seg	dw	?
		public	save_ptr_seg

bios_data	ends
		end
